Subject: Re: bug#8197: 24.0.50; completion-substring-try-completion bug ?

From: "Andreas Politz, INF|INF-I" <[email-masked]>
Date: Fri, 7 Oct 2011 08:42:33 +0200

On Thu, 06 Oct 2011 22:09:05 -0400, Glenn Morris wrote
> Andreas Politz wrote:
> 
> > (completion-substring-try-completion
> >         "foo" '("bar-foo" "baz-foo") nil 2)
> > => ("ba-foo" . 6)
> >
> > I would expect this to return ("ba-foo" . 2) .
> 
> Now it returns ("-foo" . 4).
> Is this progress?
> I don't know, because the function is undocumented
> (I guess I have to look it up in completion-styles-alist?).

That was a while ago, but in my understanding the function should
return a partial substring completion (matching *ba*-foo* in this case) 
and the index of the ambiguous part.

-ap